//
//  SXVEAudioRecorder.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/27.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface SXVEAudioRecorder : NSObject<AVAudioRecorderDelegate>
@property (nonatomic, strong) NSDictionary *setting;
@property (nonatomic, strong) AVAudioRecorder *audioRecorder;
@property (nonatomic, strong) NSURL *recordUrl;

- (instancetype)initWithPath:(NSString *)filePath;

-(void)startRecord;

-(void)pauseRecord;

-(void)resumeRecord;

-(void)stopRecord;
@end


NS_ASSUME_NONNULL_END
