//
//  SXVETextViewController.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/30.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
NS_ASSUME_NONNULL_BEGIN

@protocol SXVETextViewControllerDelegate <NSObject>

- (void)updateTextModel:(SXVETrackModel *)model;

@end

@interface SXVETextViewController : UIViewController
@property (nonatomic, weak) id<SXVETextViewControllerDelegate> delegate;
@property (nonatomic, strong) SXVETrackModel *model;


- (IBAction)styleAction:(id)sender;
- (IBAction)bubbleAction:(id)sender;
- (IBAction)animationAction:(id)sender;


@end

NS_ASSUME_NONNULL_END
