//
//  SXVETrackAnimationView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/10.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
NS_ASSUME_NONNULL_BEGIN

@protocol SXVETrackAnimationViewDelegate <NSObject>

- (void)updateTrackModel:(SXVETrackModel *)model;

@end

@interface SXVETrackAnimationView : UIView
@property (nonatomic, weak) id<SXVETrackAnimationViewDelegate> delegate;
@property (nonatomic, strong) SXVETrackModel *model;
@end

NS_ASSUME_NONNULL_END
