//
//  SXVECutViewController.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/19.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SXVECutViewControllerDelegate <NSObject>

- (void)updateSize:(CGSize)size transfrom:(CGAffineTransform)transform;

@end

@interface SXVECutViewController : UIViewController

@property (nonatomic, assign) id<SXVECutViewControllerDelegate> delegate;
@property (nonatomic, strong) AVURLAsset *asset;

@end

NS_ASSUME_NONNULL_END
