//
//  SXVEAudioRecordView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/27.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SXVEAudioRecordViewDelegate <NSObject>

- (void)addRecordFile:(NSString *)path;

@end

@interface SXVEAudioRecordView : UIView 
@property (weak, nonatomic) IBOutlet UILabel *timeLabel;
@property (weak, nonatomic) IBOutlet UIButton *recordButton;
@property (weak, nonatomic) IBOutlet UIImageView *recordImageView;

@property (nonatomic, weak) id<SXVEAudioRecordViewDelegate> delegate;
@end

NS_ASSUME_NONNULL_END
