//
//  SXVEOpacityView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/15.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
NS_ASSUME_NONNULL_BEGIN

@protocol SXVEOpacityViewDelegate <NSObject>

- (void)opaqueUpdate:(CGFloat)opaque;

@end

@interface SXVEOpacityView : UIView
@property (weak, nonatomic) IBOutlet UISlider *sliderView;
@property (weak, nonatomic) IBOutlet UILabel *opaqueLabel;
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;

@property (nonatomic, assign) BOOL isVolumeView;
@property (nonatomic, strong) SXVETrackModel *trackModel;

@property (nonatomic, weak) id<SXVEOpacityViewDelegate> delegate;
@end

NS_ASSUME_NONNULL_END
