//
//  SXVERegularSpeedChangeView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/28.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SXVERegularSpeedChangeViewDelegate <NSObject>

- (void)speedChanged:(float)factor;

@end

@interface SXVERegularSpeedChangeView : UIView

@property (nonatomic, weak) id<SXVERegularSpeedChangeViewDelegate> delegate;
@property (nonatomic, assign) CGFloat factor;

@end

NS_ASSUME_NONNULL_END
