//
//  SXVETracksTableViewCell.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/26.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackView.h"
NS_ASSUME_NONNULL_BEGIN

@interface SXVETracksTableViewCell : UITableViewCell

@property (nonatomic, strong) UIView *tracksContentView;
@property (nonatomic, assign) CGFloat secondLength;
@property (nonatomic, strong) SXAudioThumbnailCache *audioCache;

- (void)updateTracksView;
- (void)setTracks:(NSArray *)tracks trackViewDelegate:(id<SXVETrackViewDelegate>)delegate;

@end

NS_ASSUME_NONNULL_END
