//
//  SXVETransitionView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/7.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SXVETrackModel.h"

NS_ASSUME_NONNULL_BEGIN

@protocol SXVETransitionViewDelegate <NSObject>

- (void)transitionUpdate;

@end

@interface SXVETransitionView : UIView

@property (nonatomic, weak) id<SXVETransitionViewDelegate> delegate;
@property (nonatomic, strong) SXVETrackModel *model;
@property (nonatomic, strong) SXEditManager *editManager;

@end

NS_ASSUME_NONNULL_END
