//
//  SXVEVoiceChangeView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/5/7.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVERegularSpeedChangeView.h"
NS_ASSUME_NONNULL_BEGIN

@protocol SXVEVoiceChangeViewDelegate <NSObject>

- (void)speedChanged:(float)factor isChangePitch:(BOOL)isChangePitch;

@end

@interface SXVEVoiceChangeView : UIView 

@property (nonatomic, weak) id<SXVEVoiceChangeViewDelegate> delegate;
@property (nonatomic, assign) CGFloat factor;
@property (weak, nonatomic) IBOutlet UIButton *pitchButton;

@end

NS_ASSUME_NONNULL_END
